<?php

// 配置
// 字段名对应的行数(1开始)
$columnLine = 3;
// 数据对应的行数(1开始)
$dataLine = 4;
// 键值对应的列(1开始)
$keyColumn = 'item_id';
// 哪些字段被导出以及导出的格式
// 只支持string和number两种格式
// 未设置的字段不被导出
$columns = [
    'item_id'        => 'number',
    'item_name'      => 'string',
    'icon'           => 'string',
    'size'           => 'string',
    'purchase_price' => 'number',
    'stock'          => 'number',
];

// 额外处理函数, 如果没有, 就不定义
function item_handle($data)
{
    foreach ($data as $key => $value) {
        $value['purchase_price'] = intval($value['purchase_price'] * 100);
        $data[$key]    = $value;
    }
    return $data;
}